Loading...
Searching...
No Matches
manager.h File Reference
`#include <functional>`
`#include <QObject>`
`#include <lomiri/download_manager/metatypes.h>`
`#include <lomiri/download_manager/download_struct.h>`
`#include <lomiri/download_manager/group_download_struct.h>`
Include dependency graph for manager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Lomiri::DownloadManager::Manager
| The Manager class is the entry point of the download manager API and allows the client to create download requests in the download manager. More...

## Namespaces

namespace | Lomiri
namespace | Lomiri::DownloadManager

## Typedefs

typedef std::function< void(Download *)> | Lomiri::DownloadManager::DownloadCb
typedef std::function< void(DownloadsList *)> | Lomiri::DownloadManager::DownloadsListCb
typedef std::function< void(const QString &, const QString &, DownloadsList *)> | Lomiri::DownloadManager::MetadataDownloadsListCb
typedef std::function< void(GroupDownload *)> | Lomiri::DownloadManager::GroupCb